=== debian/changelog ===
ros-eloquent-rclpy (0.8.5-1bionic) bionic; urgency=high

  * fix moved troubleshooting url (#579 <https://github.com/ros2/rclpy/issues/579>) (#589 <https://github.com/ros2/rclpy/issues/589>)
  * improve error message if rclpy C extensions are not found (#580 <https://github.com/ros2/rclpy/issues/580>) (#591 <https://github.com/ros2/rclpy/issues/591>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rclpy (0.8.4-1bionic) bionic; urgency=high

  * Guard against unexpected action responses (#474 <https://github.com/ros2/rclpy/issues/474>) (#476 <https://github.com/ros2/rclpy/issues/476>)
  * Send feedback callbacks properly in send_goal() of action client (#451 <https://github.com/ros2/rclpy/issues/451>) (#465 <https://github.com/ros2/rclpy/issues/465>)
  * Contributors: Jacob Perron, Werner Neubauer

 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-rclpy (0.8.3-1bionic) bionic; urgency=high

  * Future invokes done callbacks when done (#461 <https://github.com/ros2/rclpy/issues/461>)
  * Make short key of a QoS policy accessible (#463 <https://github.com/ros2/rclpy/issues/463>)
  * Fix new linter warnings as of flake8-comprehensions 3.1.0 (#462 <https://github.com/ros2/rclpy/issues/462>)
  * Contributors: Dirk Thomas, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-rclpy (0.8.2-1bionic) bionic; urgency=high

  * Explicitly destroy a node's objects before the node. (#456 <https://github.com/ros2/rclpy/issues/456>)
  * Get proper parameters with prefixes without dot separator. (#455 <https://github.com/ros2/rclpy/issues/455>)
  * Fix import to use builtin_interfaces.msg (#453 <https://github.com/ros2/rclpy/issues/453>)
  * Add missing exec depend on rcl_interfaces (#452 <https://github.com/ros2/rclpy/issues/452>)
  * Contributors: Brian Marchi, Dirk Thomas, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-eloquent-rclpy (0.8.1-1bionic) bionic; urgency=high

  * Fix the unicode test string for opensplice rmw implementation (#447 <https://github.com/ros2/rclpy/issues/447>)
  * Expand test timeout to deflake rmw_connext (#449 <https://github.com/ros2/rclpy/issues/449>)
  * Support array parameter types (#444 <https://github.com/ros2/rclpy/issues/444>)
  * Make use of Clock class for throttling logs (#441 <https://github.com/ros2/rclpy/issues/441>)
  * Drop rclpy test_remove_ros_args_empty test case. (#445 <https://github.com/ros2/rclpy/issues/445>)
  * Add Rate (#443 <https://github.com/ros2/rclpy/issues/443>)
  * Action server: catch exception from user execute callback (#437 <https://github.com/ros2/rclpy/issues/437>)
  * Make cppcheck happy (#438 <https://github.com/ros2/rclpy/issues/438>)
  * Contributors: Brian Marchi, Jacob Perron, Michael Carroll, Michel Hidalgo, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rclpy (0.8.0-1bionic) bionic; urgency=high

  * Take parameter overrides provided through the CLI. (#434 <https://github.com/ros2/rclpy/issues/434>)
  * Changelog version to master (#410 <https://github.com/ros2/rclpy/issues/410>)
  * Remove deprecated QoS functionality (#431 <https://github.com/ros2/rclpy/issues/431>)
  * Remove comment (#432 <https://github.com/ros2/rclpy/issues/432>)
  * Provide subscription count from Publisher #418 <https://github.com/ros2/rclpy/issues/418> (#429 <https://github.com/ros2/rclpy/issues/429>)
  * Raise custom error when node name is not found (#413 <https://github.com/ros2/rclpy/issues/413>)
  * Timer uses ROS time by default (#419 <https://github.com/ros2/rclpy/issues/419>)
  * Fix _rclpy.c formatting. (#421 <https://github.com/ros2/rclpy/issues/421>)
  * Fail on invalid and unknown ROS specific arguments (#415 <https://github.com/ros2/rclpy/issues/415>)
  * Force explicit --ros-args in cli args. (#416 <https://github.com/ros2/rclpy/issues/416>)
  * Make Future result() and __await__ raise exceptions (#412 <https://github.com/ros2/rclpy/issues/412>)
  * Use of -r/--remap flags where appropriate. (#411 <https://github.com/ros2/rclpy/issues/411>)
  * Awake waitables on shutdown, check if context is valid (#403 <https://github.com/ros2/rclpy/issues/403>)
  * Accept tuples as parameter arrays (#389 <https://github.com/ros2/rclpy/issues/389>)
  * Adapt to '--ros-args ... [--]'-based ROS args extraction (#405 <https://github.com/ros2/rclpy/issues/405>)
  * Replace 'NULL == ' with ! (#404 <https://github.com/ros2/rclpy/issues/404>)
  * Declaring 'use_sim_time' when attaching node to time source. (#396 <https://github.com/ros2/rclpy/issues/396>)
  * Adding ignore_override parameter to declare_parameter(s). (#392 <https://github.com/ros2/rclpy/issues/392>)
  * fix missing 'raise'
  * Adding get_parameters_by_prefix method to Node. (#386 <https://github.com/ros2/rclpy/issues/386>)
  * remove whitespace (#385 <https://github.com/ros2/rclpy/issues/385>)
  * Added clients by node implementation from rcl (#383 <https://github.com/ros2/rclpy/issues/383>)
  * Fix time conversion for a big nanoseconds value (#384 <https://github.com/ros2/rclpy/issues/384>)
  * Allowing parameter declaration without a given value. (#382 <https://github.com/ros2/rclpy/issues/382>)
  * Make flake8 happy on windows (#381 <https://github.com/ros2/rclpy/issues/381>)
  * Rename QoS*Policy enum's to *Policy (#379 <https://github.com/ros2/rclpy/issues/379>)
  * Fixing namespace expansion for declare_parameters. (#377 <https://github.com/ros2/rclpy/issues/377>)
  * Use params from node '/**' from parameter YAML file (#370 <https://github.com/ros2/rclpy/issues/370>)
  * [executors] don't convert a timeout_sec to nsecs (#372 <https://github.com/ros2/rclpy/issues/372>)
  * Fix API documentation related to ROS graph methods (#366 <https://github.com/ros2/rclpy/issues/366>)

