=== debian/control ===
Source: ros-eloquent-rclpy
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-python-cmake-module, ros-eloquent-rcl, ros-eloquent-rcl-action, ros-eloquent-rcl-yaml-param-parser, ros-eloquent-rcutils, ros-eloquent-rmw-implementation, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rosidl-generator-py, ros-eloquent-test-msgs, ros-eloquent-unique-identifier-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rclpy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-index-python, ros-eloquent-builtin-interfaces, ros-eloquent-rcl, ros-eloquent-rcl-action, ros-eloquent-rcl-interfaces, ros-eloquent-rcl-yaml-param-parser, ros-eloquent-rmw-implementation, ros-eloquent-rosgraph-msgs, ros-eloquent-unique-identifier-msgs, ros-eloquent-ros-workspace
Description: Package containing the Python client.
